Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/LDF/ldfslp.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/LDF/ldfslp.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/LDF/ldfslp.F90	(revision 2633)
@@ -119,5 +119,5 @@
       USE oce , zww   => ta   ! use ta as workspace
       USE oce , zwz   => sa   ! use sa as workspace
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zdzr => wrk_3d_1
       !!
@@ -135,5 +135,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(3, 1) ) THEN
+      IF(wrk_in_use(3, 1) ) THEN
          CALL ctl_stop('ldf_slp: requested workspace arrays are unavailable')   ;   RETURN
       END IF
@@ -382,5 +382,5 @@
       ENDIF
       !
-      IF(.not. wrk_release(3, 1))THEN
+      IF(wrk_not_released(3, 1))THEN
          CALL ctl_stop('ldf_slp: ERROR: failed to release workspace arrays.')
       END IF
@@ -407,5 +407,5 @@
       USE oce,   zdjt  => ta   ! use ta as workspace
       USE oce,   zdjs  => sa   ! use sa as workspace
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zdkt   => wrk_3d_2, zdks  => wrk_3d_3, &
                           zalpha => wrk_3d_4, zbeta => wrk_3d_5    ! alpha, beta at T points, at depth fsgdept
@@ -423,5 +423,5 @@
       !!----------------------------------------------------------------------
 
-      IF( (.not. wrk_use(3, 2,3,4,5)) .OR. (.not. wrk_use(2, 1)) )THEN
+      IF( (wrk_in_use(3, 2,3,4,5)) .OR. (wrk_in_use(2, 1)) )THEN
          CALL ctl_stop('ldf_slp_grif: ERROR: requested workspace arrays are unavailable.')   ;   RETURN
       END IF
@@ -607,6 +607,6 @@
       CALL lbc_lnk( wslp2, 'W', 1. )      ! lateral boundary confition on wslp2 only   ==>>> gm : necessary ? to be checked
       !
-      IF(.NOT. wrk_release(3, 2,3,4,5) .OR.   &
-         .NOT. wrk_release(2, 1)        )   CALL ctl_stop('ldf_slp_grif: ERROR: failed to release workspace arrays.')
+      IF(wrk_not_released(3, 2,3,4,5) .OR.   &
+         wrk_not_released(2, 1)        )   CALL ctl_stop('ldf_slp_grif: ERROR: failed to release workspace arrays.')
       !
    END SUBROUTINE ldf_slp_grif
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90	(revision 2633)
@@ -1026,5 +1026,5 @@
          & frld
 #endif
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
 #if ! defined key_ice_lim
       USE wrk_nemo, ONLY: frld => wrk_2d_1
@@ -1045,5 +1045,5 @@
  
 #if ! defined key_ice_lim
-      IF(.NOT. wrk_use(2, 1))THEN
+      IF(wrk_in_use(2, 1))THEN
          CALL ctl_stop('dia_obs : requested workspace array unavailable.')
          RETURN
@@ -1129,5 +1129,5 @@
 
 #if ! defined key_ice_lim
-      IF(.NOT. wrk_release(2, 1))THEN
+      IF(wrk_not_released(2, 1))THEN
          CALL ctl_stop('dia_obs : failed to release workspace array.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/OBS/obs_inter_sup.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/OBS/obs_inter_sup.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/OBS/obs_inter_sup.F90	(revision 2633)
@@ -105,5 +105,5 @@
       !!        !  08-02  (K. Mogensen)  Original code
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: wrk_3d_1
       !!
@@ -128,5 +128,5 @@
 
       ! Check workspace array and set-up pointer
-      IF(.NOT. wrk_use(3, 1))THEN
+      IF(wrk_in_use(3, 1))THEN
          CALL ctl_stop('obs_int_comm_2d : requested workspace array unavailable.')
          RETURN
@@ -156,5 +156,5 @@
 
       ! 'Release' workspace array back to pool
-      IF(.NOT. wrk_release(3, 1))THEN
+      IF(wrk_not_released(3, 1))THEN
          CALL ctl_stop('obs_int_comm_2d : failed to release workspace array.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/OBS/obs_read_altbias.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/OBS/obs_read_altbias.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/OBS/obs_read_altbias.F90	(revision 2633)
@@ -67,5 +67,5 @@
       !! * Modules used
       USE iom
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: z_altbias => wrk_2d_1   ! Array to store the alt bias values
       !
@@ -109,5 +109,5 @@
       INTEGER :: numaltbias
 
-      IF(.NOT. wrk_use(2, 1))THEN
+      IF(wrk_in_use(2, 1))THEN
          CALL ctl_stop('obs_rea_altbias : requested workspace array unavailable.')
          RETURN
@@ -211,5 +211,5 @@
       END DO
 
-      IF(.NOT. wrk_release(2, 1))THEN
+      IF(wrk_not_released(2, 1))THEN
          CALL ctl_stop('obs_rea_altbias : failed to release workspace array.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/OBS/obs_readmdt.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/OBS/obs_readmdt.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/OBS/obs_readmdt.F90	(revision 2633)
@@ -81,5 +81,5 @@
       !! * Modules used
       USE iom
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: z_mdt => wrk_2d_1,  &  ! Array to store the MDT values
                         mdtmask => wrk_2d_2    ! Array to store the mask for the MDT
@@ -131,5 +131,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 1,2))THEN
+      IF(wrk_in_use(2, 1,2))THEN
          CALL ctl_stop('obs_rea_mdt : requested workspace array unavailable.')
          RETURN
@@ -240,5 +240,5 @@
       END DO
 
-      IF(.NOT. wrk_release(2, 1,2))THEN
+      IF(wrk_not_released(2, 1,2))THEN
          CALL ctl_stop('obs_rea_mdt : failed to release workspace arrays.')
       END IF
@@ -266,5 +266,5 @@
       !!----------------------------------------------------------------------
       !! * Modules used
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zpromsk => wrk_2d_3
       !!
@@ -288,5 +288,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 3))THEN
+      IF(wrk_in_use(2, 3))THEN
          CALL ctl_stop('obs_offset_mdt : requested workspace array unavailable.')
          RETURN
@@ -358,5 +358,5 @@
 
 
-      IF(.NOT. wrk_release(2, 3))THEN
+      IF(wrk_not_released(2, 3))THEN
          CALL ctl_stop('obs_offset_mdt : failed to release workspace array.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/OBS/obs_rot_vel.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/OBS/obs_rot_vel.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/OBS/obs_rot_vel.F90	(revision 2633)
@@ -55,5 +55,5 @@
       !!----------------------------------------------------------------------
       !! * Modules used
-      USE wrk_nemo, ONLY: wrk_use, wrk_release   
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released   
       USE wrk_nemo, ONLY: zsingu => wrk_2d_1, zcosgu => wrk_2d_2, &
                           zsingv => wrk_2d_3, zcosgv => wrk_2d_4
@@ -93,5 +93,5 @@
       INTEGER :: jk
 
-      IF(.NOT. wrk_use(2, 1,2,3,4))THEN
+      IF(wrk_in_use(2, 1,2,3,4))THEN
          CALL ctl_stop('obs_rotvel : requested workspace arrays unavailable.')
          RETURN
@@ -229,5 +229,5 @@
          & )
 
-      IF(.NOT. wrk_release(2, 1,2,3,4))THEN
+      IF(wrk_not_released(2, 1,2,3,4))THEN
          CALL ctl_stop('obs_rotvel : failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90	(revision 2633)
@@ -64,5 +64,5 @@
       !! References :   Shine and Hendersson-Sellers 1985, JGR, 90(D1), 2243-2250.
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release, llwrk_use, llwrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released, llwrk_in_use, llwrk_not_released
       USE wrk_nemo, ONLY: wrk_3d_6, wrk_3d_7    ! 3D workspace
       !!
@@ -90,5 +90,5 @@
       ijpl = SIZE( pt_ice, 3 )                     ! number of ice categories
 
-      IF( (.not. llwrk_use(3,1)) .OR. (.not. wrk_use(3, 6,7)) ) THEN
+      IF( llwrk_in_use(3,1) .OR. wrk_in_use(3, 6,7) ) THEN
          CALL ctl_stop('albedo_ice: requested workspace arrays are unavailable')   ;   RETURN
       ENDIF
@@ -172,5 +172,5 @@
       pa_ice_os(:,:,:) = pa_ice_cs(:,:,:) + rn_cloud       ! Oberhuber correction
       !
-      IF( .not. wrk_release(3, 6,7) )   CALL ctl_stop('albedo_ice: failed to release workspace arrays')
+      IF( wrk_not_released(3, 6,7) )   CALL ctl_stop('albedo_ice: failed to release workspace arrays')
       !
    END SUBROUTINE albedo_ice
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_oasis4.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_oasis4.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_oasis4.F90	(revision 2633)
@@ -110,5 +110,5 @@
       !! ** Method  :   OASIS4 MPI communication 
       !!--------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zclo => wrk_3d_1, zcla => wrk_3d_2
       USE wrk_nemo, ONLY: zlon => wrk_2d_1, zlat => wrk_2d_2
@@ -146,5 +146,5 @@
       !!--------------------------------------------------------------------
 
-      IF( .NOT. wrk_use(3, 1,2) .OR. .NOT. wrk_use(2, 1,2) )THEN
+      IF( wrk_in_use(3, 1,2) .OR. wrk_in_use(2, 1,2) )THEN
          CALL ctl_stop('cpl_prism_define: ERROR: requested workspace arrays are unavailable.')   ;   RETURN
       ENDIF
@@ -321,6 +321,6 @@
       IF ( nerror /= PRISM_Success )   CALL prism_abort ( ncomp_id, 'cpl_prism_define', 'Failure in prism_enddef')
       
-      IF( .not. wrk_release(3, 1,2) .OR.   &
-          .not. wrk_release(2, 1,2)   )   CALL ctl_stop('cpl_prism_define: failed to release workspace arrays')
+      IF( wrk_not_released(3, 1,2) .OR.   &
+          wrk_not_released(2, 1,2)   )   CALL ctl_stop('cpl_prism_define: failed to release workspace arrays')
       !
    END SUBROUTINE cpl_prism_define
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/fldread.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/fldread.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/fldread.F90	(revision 2633)
@@ -587,5 +587,5 @@
       !! ** Purpose :   Vector fields may need to be rotated onto the local grid direction
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: utmp => wrk_2d_4, vtmp => wrk_2d_5      ! 2D workspace
       !!
@@ -600,5 +600,5 @@
       !!---------------------------------------------------------------------
 
-      IF(.not. wrk_use(2, 4,5) ) THEN
+      IF(wrk_in_use(2, 4,5) ) THEN
          CALL ctl_stop('fld_rot: ERROR: requested workspace arrays are unavailable.')   ;   RETURN
       END IF
@@ -637,5 +637,5 @@
        END DO
       !
-      IF(.not. wrk_release(2, 4,5) )    CALL ctl_stop('fld_rot: ERROR: failed to release workspace arrays.')
+      IF(wrk_not_released(2, 4,5) )    CALL ctl_stop('fld_rot: ERROR: failed to release workspace arrays.')
       !
    END SUBROUTINE fld_rot
@@ -804,5 +804,5 @@
       !!                file, restructuring as required
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release, iwrk_use, iwrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released, iwrk_in_use, iwrk_not_released
       USE wrk_nemo, ONLY: data_tmp => wrk_2d_1
       USE wrk_nemo, ONLY: data_src => iwrk_2d_1
@@ -820,5 +820,5 @@
       !!----------------------------------------------------------------------
       !
-      IF(  .NOT. wrk_use(2, 1)  .OR.  .NOT. iwrk_use(2,1)  ) THEN
+      IF(  wrk_in_use(2, 1)  .OR.  iwrk_in_use(2,1) ) THEN
          CALL ctl_stop('fld_weights: requested workspace arrays are unavailable.')   ;   RETURN
       END IF
@@ -934,6 +934,6 @@
       ENDIF
 
-      IF( .NOT. wrk_release(2, 1) .OR.    &
-          .NOT.iwrk_release(2, 1)   )   CALL ctl_stop('fld_weights: failed to release workspace arrays')
+      IF( wrk_not_released(2, 1) .OR.    &
+          iwrk_not_released(2, 1)   )   CALL ctl_stop('fld_weights: failed to release workspace arrays')
       !
    END SUBROUTINE fld_weight
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 2633)
@@ -210,5 +210,5 @@
       !!  ** Nota    :   sf has to be a dummy argument for AGRIF on NEC
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zqlw => wrk_2d_1  ! long-wave heat flux over ocean
       USE wrk_nemo, ONLY: zqla => wrk_2d_2  ! latent heat flux over ocean
@@ -232,5 +232,5 @@
       !!---------------------------------------------------------------------
 
-      IF(.not. wrk_use(3, 1,2,3))THEN
+      IF(wrk_in_use(3, 1,2,3))THEN
          CALL ctl_stop('blk_oce_clio: requested workspace arrays are unavailable.')
          RETURN
@@ -386,5 +386,5 @@
       ENDIF
 
-      IF(.not. wrk_release(3, 1,2,3))THEN
+      IF(wrk_not_released(3, 1,2,3))THEN
          CALL ctl_stop('blk_oce_clio: failed to release workspace arrays.')
       END IF
@@ -420,5 +420,5 @@
       !!
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:  ztatm => wrk_2d_1   ! Tair in Kelvin
       USE wrk_nemo, ONLY:  zqatm => wrk_2d_2   ! specific humidity
@@ -457,5 +457,5 @@
       !!---------------------------------------------------------------------
 
-      IF( (.NOT. wrk_use(2, 1,2,3,4)) .OR. (.NOT. wrk_use(3, 1,2)) )THEN
+      IF( (wrk_in_use(2, 1,2,3,4)) .OR. (wrk_in_use(3, 1,2)) )THEN
          CALL ctl_stop('blk_ice_clio: requested workspace arrays are unavailable.')
          RETURN
@@ -637,5 +637,5 @@
       ENDIF
 
-      IF( (.NOT. wrk_release(2, 1,2,3,4)) .OR. (.NOT. wrk_release(3, 1,2)) )THEN
+      IF( (wrk_not_released(2, 1,2,3,4)) .OR. (wrk_not_released(3, 1,2)) )THEN
          CALL ctl_stop('blk_ice_clio: failed to release workspace arrays.')
       END IF
@@ -654,5 +654,5 @@
       !!               - also initialise sbudyko and stauc once for all 
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   zev => wrk_2d_1                  ! vapour pressure
       USE wrk_nemo, ONLY: zdlha => wrk_2d_2, zlsrise => wrk_2d_3, zlsset => wrk_2d_4 
@@ -679,5 +679,5 @@
       !!---------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 1,2,3,4,5,6))THEN
+      IF(wrk_in_use(2, 1,2,3,4,5,6))THEN
          CALL ctl_stop('blk_clio_qsr_oce: requested workspace arrays unavailable.')
          RETURN
@@ -796,5 +796,5 @@
       END DO
 
-      IF(.NOT. wrk_release(2, 1,2,3,4,5,6))THEN
+      IF(wrk_not_released(2, 1,2,3,4,5,6))THEN
          CALL ctl_stop('blk_clio_qsr_oce: failed to release workspace arrays.')
       END IF
@@ -813,5 +813,5 @@
       !!               - also initialise sbudyko and stauc once for all 
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zev => wrk_2d_1         ! vapour pressure
       USE wrk_nemo, ONLY: zdlha => wrk_2d_2       ! 2D workspace
@@ -839,5 +839,5 @@
       !!---------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 1,2,3,4,5,6))THEN
+      IF(wrk_in_use(2, 1,2,3,4,5,6))THEN
          CALL ctl_stop('blk_clio_qsr_ice: requested workspace arrays unavailable.')
          RETURN
@@ -945,5 +945,5 @@
       END DO
       !
-      IF(.NOT. wrk_release(2, 1,2,3,4,5,6))THEN
+      IF(wrk_not_released(2, 1,2,3,4,5,6))THEN
          CALL ctl_stop('blk_clio_qsr_ice: failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 2633)
@@ -208,5 +208,5 @@
       !!  ** Nota  :   sf has to be a dummy argument for AGRIF on NEC
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zwnd_i => wrk_2d_1, zwnd_j  => wrk_2d_2   ! wind speed components at T-point
       USE wrk_nemo, ONLY: zqsatw => wrk_2d_3           ! specific humidity at pst
@@ -230,5 +230,5 @@
       !!---------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 1,2,3,4,5,6,7,8,9,10,11,12,13))THEN
+      IF(wrk_in_use(2, 1,2,3,4,5,6,7,8,9,10,11,12,13))THEN
          CALL ctl_stop('blk_oce_core: requested workspace arrays unavailable.')
          RETURN
@@ -383,5 +383,5 @@
       ENDIF
       !
-      IF(.NOT. wrk_release(2, 1,2,3,4,5,6,7,8,9,10,11,12,13))THEN
+      IF(wrk_not_released(2, 1,2,3,4,5,6,7,8,9,10,11,12,13))THEN
          CALL ctl_stop('blk_oce_core: failed to release workspace arrays.')
       END IF
@@ -407,5 +407,5 @@
       !! caution : the net upward water flux has with mm/day unit
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: z_wnds_t => wrk_2d_1                ! wind speed ( = | U10m - U_ice | ) at T-point
       USE wrk_nemo, ONLY: wrk_3d_4, wrk_3d_5, wrk_3d_6, wrk_3d_7
@@ -447,5 +447,5 @@
 
       ! Set-up access to workspace arrays
-      IF( (.NOT. wrk_use(2, 1)) .OR. (.NOT. wrk_use(3, 4,5,6,7)) )THEN
+      IF( wrk_in_use(2, 1) .OR. wrk_in_use(3, 4,5,6,7) )THEN
          CALL ctl_stop('blk_ice_core: requested workspace arrays unavailable.')
          RETURN
@@ -608,5 +608,5 @@
       ENDIF
 
-      IF( (.NOT. wrk_release(2, 1)) .OR. (.NOT. wrk_release(3, 4,5,6,7)) )THEN
+      IF( wrk_not_released(2, 1) .OR. wrk_not_released(3, 4,5,6,7) )THEN
          CALL ctl_stop('blk_ice_core: failed to release workspace arrays.')
       END IF
@@ -635,5 +635,5 @@
       !!   9.0  !  05-08  (L. Brodeau) Rewriting and optimization
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release, iwrk_use, iwrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released, iwrk_in_use, iwrk_not_released
       USE wrk_nemo, ONLY: dU10 => wrk_2d_14        ! dU                             [m/s]
       USE wrk_nemo, ONLY: dT => wrk_2d_15          ! air/sea temperature difference   [K]
@@ -675,9 +675,9 @@
       !!----------------------------------------------------------------------
 
-      IF( (.NOT. wrk_use(2, 14,15,16,17,18,       &
-                         19,20,21,22,23,24,       &
-                         25,26,27,28,29,30,       &
-                         31,32))             .OR. &
-          (.NOT. iwrk_use(2, 1)) )THEN
+      IF( wrk_in_use(2, 14,15,16,17,18,         &
+                        19,20,21,22,23,24,      &
+                        25,26,27,28,29,30,      &
+                        31,32)             .OR. &
+          iwrk_in_use(2, 1) )THEN
          CALL ctl_stop('TURB_CORE_1Z: requested workspace arrays unavailable.')
          RETURN
@@ -743,9 +743,9 @@
       END DO
       !!
-      IF( (.NOT. wrk_release(2, 14,15,16,17,18,       &
-                             19,20,21,22,23,24,       &
-                             25,26,27,28,29,30,       &
-                             31,32))             .OR. &
-          (.NOT. iwrk_release(2, 1)) )THEN
+      IF( wrk_not_released(2, 14,15,16,17,18,          &
+                              19,20,21,22,23,24,       &
+                              25,26,27,28,29,30,       &
+                              31,32)              .OR. &
+          iwrk_not_released(2, 1) )THEN
          CALL ctl_stop('TURB_CORE_1Z: failed to release workspace arrays.')
       END IF
@@ -772,5 +772,5 @@
       !!   9.0  !  06-12  (L. Brodeau) Original code for 2Z
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release, iwrk_use, iwrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released, iwrk_in_use, iwrk_not_released
       USE wrk_nemo, ONLY: dU10 => wrk_2d_1        ! dU                             [m/s]
       USE wrk_nemo, ONLY: dT => wrk_2d_2          ! air/sea temperature difference   [K]
@@ -816,6 +816,6 @@
       !!  * Start
 
-      IF( (.NOT. wrk_use(2, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21)) .OR. &
-          (.NOT. iwrk_use(2, 1)) )THEN
+      IF( wrk_in_use(2, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21) .OR. &
+          iwrk_in_use(2, 1) )THEN
          CALL ctl_stop('TURB_CORE_2Z: requested workspace arrays unavailable.')
          RETURN
@@ -895,6 +895,6 @@
       END DO
       !!
-      IF( (.NOT. wrk_release(2, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21)) .OR. &
-          (.NOT. iwrk_release(2, 1)) )THEN
+      IF( wrk_not_released(2, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21) .OR. &
+          iwrk_not_released(2, 1) )THEN
          CALL ctl_stop('TURB_CORE_2Z: requested workspace arrays unavailable.')
       END IF
@@ -905,5 +905,5 @@
     FUNCTION psi_m(zta)   !! Psis, L & Y eq. (8c), (8d), (8e)
       !-------------------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:     X2 => wrk_2d_33
       USE wrk_nemo, ONLY:     X  => wrk_2d_34
@@ -916,5 +916,5 @@
       !-------------------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 33,34,35))THEN
+      IF(wrk_in_use(2, 33,34,35))THEN
          CALL ctl_stop('psi_m: requested workspace arrays unavailable.')
          RETURN
@@ -926,5 +926,5 @@
            & + (1. - stabit)*(2*log((1. + X)/2) + log((1. + X2)/2) - 2*atan(X) + pi/2)  ! Unstable 
 
-      IF(.NOT. wrk_release(2, 33,34,35))THEN
+      IF(wrk_not_released(2, 33,34,35))THEN
          CALL ctl_stop('psi_m: failed to release workspace arrays.')
          RETURN
@@ -936,5 +936,5 @@
     FUNCTION psi_h(zta)    !! Psis, L & Y eq. (8c), (8d), (8e)
       !-------------------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:     X2 => wrk_2d_33
       USE wrk_nemo, ONLY:     X  => wrk_2d_34
@@ -946,5 +946,5 @@
       !-------------------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 33,34,35))THEN
+      IF(wrk_in_use(2, 33,34,35))THEN
          CALL ctl_stop('psi_h: requested workspace arrays unavailable.')
          RETURN
@@ -956,5 +956,5 @@
            & + (1. - stabit)*(2.*log( (1. + X2)/2. ))                 ! Unstable
 
-      IF(.NOT. wrk_release(2, 33,34,35))THEN
+      IF(wrk_not_released(2, 33,34,35))THEN
          CALL ctl_stop('psi_h: failed to release workspace arrays.')
          RETURN
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 2633)
@@ -206,5 +206,5 @@
       !!              * initialise the OASIS coupler
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zacs => wrk_2d_1, zaos => wrk_2d_2 ! clear & overcast sky albedos
       !!
@@ -223,5 +223,5 @@
       !!---------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2,1,2) ) THEN
+      IF(wrk_in_use(2,1,2) ) THEN
          CALL ctl_stop('sbc_cpl_init: requested workspace arrays unavailable.')   ;   RETURN
       END IF
@@ -563,5 +563,5 @@
          &   CALL ctl_stop( 'sbc_cpl_init: diurnal cycle reconstruction (ln_dm2dc) needs daily couping for solar radiation' )
 
-      IF(.not. wrk_release(2,1,2))THEN
+      IF(wrk_not_released(2,1,2))THEN
          CALL ctl_stop('sbc_cpl_init: failed to release workspace arrays.')
       END IF
@@ -612,5 +612,5 @@
       !!                        emp = emps   evap. - precip. (- runoffs) (- calving) ('ocean only case)
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: ztx => wrk_2d_1, zty => wrk_2d_2
       !!
@@ -629,5 +629,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.not. wrk_use(2, 1,2))THEN
+      IF(wrk_in_use(2, 1,2))THEN
          CALL ctl_stop('sbc_cpl_rcv: requested workspace arrays unavailable.')
          RETURN
@@ -820,5 +820,5 @@
       ENDIF
       !
-      IF(.not. wrk_release(2, 1,2))THEN
+      IF(wrk_not_released(2, 1,2))THEN
          CALL ctl_stop('sbc_cpl_rcv: failed to release workspace arrays.')
       END IF
@@ -860,5 +860,5 @@
       !! ** Action  :   return ptau_i, ptau_j, the stress over the ice at cp_ice_msh point
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: ztx => wrk_2d_1, zty => wrk_2d_2
       !!
@@ -870,5 +870,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.not. wrk_use(2,1,2))THEN
+      IF(wrk_in_use(2,1,2))THEN
          CALL ctl_stop('sbc_cpl_ice_tau: requested workspace arrays unavailable.')
          RETURN
@@ -1041,5 +1041,5 @@
       ENDIF
       !   
-      IF(.not. wrk_release(2,1,2))THEN
+      IF(wrk_not_released(2,1,2))THEN
          CALL ctl_stop('sbc_cpl_ice_tau: failed to release workspace arrays.')
       END IF
@@ -1093,5 +1093,5 @@
       !!                   sprecip             solid precipitation over the ocean  
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zcptn => wrk_2d_1  ! rcp * tn(:,:,1)
       USE wrk_nemo, ONLY: ztmp  => wrk_2d_2  ! temporary array
@@ -1118,5 +1118,5 @@
       !!----------------------------------------------------------------------
 
-      IF( (.not. wrk_use(2,1,2,3)) .OR. (.not. wrk_use(3,1)) )THEN
+      IF( wrk_in_use(2,1,2,3) .OR. wrk_in_use(3,1) )THEN
          CALL ctl_stop('sbc_cpl_ice_flx: requested workspace arrays unavailable.')
          RETURN
@@ -1240,5 +1240,5 @@
       END SELECT
 
-      IF( (.not. wrk_release(2,1,2,3)) .OR. (.not. wrk_release(3,1)) )THEN
+      IF( wrk_not_released(2,1,2,3) .OR. wrk_not_released(3,1) )THEN
          CALL ctl_stop('sbc_cpl_ice_flx: failed to release workspace arrays.')
       END IF
@@ -1256,5 +1256,5 @@
       !!              all the needed fields (as defined in sbc_cpl_init)
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zfr_l => wrk_2d_1 ! 1. - fr_i(:,:)
       USE wrk_nemo, ONLY: ztmp1 => wrk_2d_2, ztmp2 => wrk_2d_3
@@ -1268,5 +1268,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 1,2,3,4,5,6,7,8,9))THEN
+      IF(wrk_in_use(2, 1,2,3,4,5,6,7,8,9))THEN
          CALL ctl_stop('sbc_cpl_snd: requested workspace arrays are unavailable.');
          RETURN
@@ -1445,5 +1445,5 @@
       ENDIF
    !
-      IF(.NOT. wrk_release(2, 1,2,3,4,5,6,7,8,9))THEN
+      IF(wrk_not_released(2, 1,2,3,4,5,6,7,8,9))THEN
          CALL ctl_stop('sbc_cpl_snd: failed to release workspace arrays.');
          RETURN
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcfwb.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcfwb.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcfwb.F90	(revision 2633)
@@ -58,5 +58,5 @@
       !!                   & spread out over erp area depending its sign
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:      ztmsk_neg => wrk_2d_1, ztmsk_pos=> wrk_2d_2
       USE wrk_nemo, ONLY: ztmsk_tospread => wrk_2d_3
@@ -73,5 +73,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( .NOT. wrk_use(2, 1,2,3,4,5) ) THEN
+      IF( wrk_in_use(2, 1,2,3,4,5) ) THEN
          CALL ctl_stop('sbc_fwb: requested workspace arrays are unavailable')   ;   RETURN
       END IF
@@ -196,5 +196,5 @@
       END SELECT
       !
-      IF( .NOT. wrk_release(2, 1,2,3,4,5) )   CALL ctl_stop('sbc_fwb: failed to release workspace arrays')
+      IF( wrk_not_released(2, 1,2,3,4,5) )   CALL ctl_stop('sbc_fwb: failed to release workspace arrays')
       !
    END SUBROUTINE sbc_fwb
